%undefine __cmake_in_source_build
%global framework kwidgetsaddons

Summary:        KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets
Name:           kf5-%{framework}
Version: 5.110.0
Release: 1%{?dist}

License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel, qt5-qttools-devel, qt5-qttools-static

Requires:       kf5-filesystem >= %{majmin}

%description
KDE Frameworks 5 Tier 1 addon with various classes on top of QtWidgets.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version}


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang_kf5 kwidgetsaddons5_qt

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f kwidgetsaddons5_qt.lang
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5WidgetsAddons.so.*
%{_kf5_datadir}/kf5/kcharselect/
%{_kf5_datadir}/qlogging-categories5/*categories
%{_kf5_qtplugindir}/designer/*5widgets.so

%files devel

%{_kf5_includedir}/KWidgetsAddons/
%{_kf5_libdir}/libKF5WidgetsAddons.so
%{_kf5_libdir}/cmake/KF5WidgetsAddons/
%{_kf5_archdatadir}/mkspecs/modules/qt_KWidgetsAddons.pri


%changelog
* Sat Nov 18 2023 Chair <chairou@tencent.com> - 5.110.0-1
- Init 
